
<!--- Storinq a query in the application scope --->
<cfquery name="variables.qGetStates" datasource="#datasource#">
SELECT State_ID, State
FROM State
ORDER BY State
</cfquery>

<cflock scope=Application type=Exclusive timeout=15>
<cfset application.qGetStates=Duplicate(variables.qGetStates)>
</cflock>


<!--- Getting data from a query in the application scope --->
<cflock scope=Application type=Readonly timeout=15>
<cfset variables.qGetStates=Duplicate(application.qGetStates)>
</cflock>


<cfoutput>
<cfloop query="variables.qGetStates">
#qGetStates.State_ID# #qGetStates.State#<br>
</cfloop>
</cfoutput>






